#!/bin/bash

# 防呆判斷
if [ -e /bin/jetbackup5 ]; then
   echo ''
   echo "此主機JetBackup版本為5版，請改使用 jb5-tar.sh"
   echo ''
   exit
fi

# 如果指令後面沒有輸入帳號名稱
if [ $# -eq 0 ]
then
    echo ''
    echo "請於指令後面輸入帳號名稱，例如: sh jb4-tar.sh phpchk"
    echo ''
    exit
fi

# 判斷輸入帳號名稱是否存在
account_check=`whmapi1 get_disk_usage | grep 'user:' | awk '{print $2}' | grep -w $1 | wc -l`
if [ $account_check -eq 0 ]
then
   echo ''
   echo "請輸入正確帳號名稱"
   echo ''
   exit
fi

jb_url=`ls -ld /backup/jetbackup/jetbackup_1_1_* | awk '{print $9}'`
yesterday=`date +%Y-%m-%d --date="-1 day"`
bak_url=`ls -ld "$jb_url"/"$1"/snap."$yesterday".* | awk '{print $9}' | awk -F'/' '{print $6}'`

# 判斷是否找的到指定帳號備份
if [ ! "${bak_url}" ]; then
    echo ''
    echo "找不到 $1 帳號備份，請確認此帳號是否為今日新建帳號，如果此主機跑兩個備份線程，可能須要手動處理"
    echo ''
    exit
fi

# 打包備份
cd "$jb_url"/"$1"
tar -zcf /mnt/cpmove-"$1".tar.gz $bak_url

echo ''
echo "$1"最新備份已打包完成，放置於 /mnt/cpmove-"$1".tar.gz
echo ''

